> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tight.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get manual journal entries

> Get all manual journal entries for the authenticated user



## OpenAPI

````yaml https://dev.hurdlr.com/rest/v1/devUtils/documentation?version=5&Authorization=dexfeE6aRK3zwXP4ku5aWm8w&env=sandbox get /v5/accounting/manualJournalEntries
openapi: 3.0.1
info:
  title: Tight API
  contact:
    name: Hurdlr, Inc. (dba Tight)
    url: https://www.tight.com
    email: api@tight.com
  version: 6.0.0
servers:
  - url: https://sandbox.hurdlr.com/rest
    description: Staging Environment
  - url: https://prod.hurdlr.com/rest
    description: Production Environment
security:
  - accessTokenSecurity: []
  - basicSecurity: []
tags:
  - name: Authentication
  - name: Banks
  - name: Business & Client Management
  - name: Invoicing
  - name: Revenue
  - name: Investments
  - name: Payouts
  - name: Bills
  - name: Expenses
  - name: Payroll
  - name: Reports
  - name: Accounting
  - name: Mileage
  - name: Taxes
  - name: Time Tracking
  - name: Imports
  - name: Files
  - name: Accountant
  - name: Audit Trail
  - name: Support
  - name: Tax Engine Express
  - name: Interview Endpoint
  - name: Ledgering
  - name: Configuration
  - name: Templates
paths:
  /v5/accounting/manualJournalEntries:
    get:
      tags:
        - Accounting
      summary: Get manual journal entries
      description: Get all manual journal entries for the authenticated user
      operationId: getManualJournalEntries
      parameters:
        - name: lastUpdatedDate
          in: header
          description: >-
            Date filter - returns all records updated after the specified date.
            Null returns all data
          schema:
            type: string
          example: '1970-01-01'
        - name: year
          in: query
          description: >-
            Year filter (YYYY) - returns all records for the specified year.
            Null will return all entries.
          schema:
            type: integer
            format: int32
        - name: beginDate
          in: query
          description: >-
            Begin date filter - returns all records with a date after the
            specified date.
          schema:
            type: string
        - name: endDate
          in: query
          description: >-
            End date filter - returns all records with a date before the
            specified date.
          schema:
            type: string
        - name: cursor
          in: header
          description: Cursor from the previous paginated response
          schema:
            type: string
        - name: limit
          in: header
          description: Page size, i.e. number of items to return per page
          schema:
            type: integer
            format: int32
        - name: includeRecurringParents
          in: query
          description: >-
            Whether recurring parent journal entries should be included in the
            response
          schema:
            type: boolean
            default: true
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/TRAX_GET_RESPONSEManualJournalEntryGetDTOV5List
      security:
        - accessTokenSecurity: []
components:
  schemas:
    TRAX_GET_RESPONSEManualJournalEntryGetDTOV5List:
      properties:
        data:
          type: array
          description: The list of entities
          items:
            $ref: '#/components/schemas/ManualJournalEntryGetDTOV5'
        lastUpdatedDate:
          type: string
          description: Date filter - to be used in your subsequent request
          format: date-time
        cursor:
          type: string
          description: >-
            Cursor to be used in your subsequent paginated request. Only
            populated if there are more pages available.
        deletedIds:
          type: array
          description: >-
            Ids of entities that no longer match the request's filter criteria
            since the request's lastUpdatedDate
          items:
            type: integer
            format: int32
    ManualJournalEntryGetDTOV5:
      required:
        - date
        - description
        - transactions
      type: object
      properties:
        id:
          type: integer
          description: >-
            Id of the journal entry, required when updating an existing journal
            entry
          format: int64
        description:
          type: string
          description: Description of this journal entry
        date:
          type: string
          description: Date the transactions comprising this journal entry occurred
          format: date-time
        entryDate:
          type: string
          description: Date this journal entry was created
          format: date-time
        frequency:
          type: string
          description: Frequency of the journal entry
          example: ONE_TIME
          enum:
            - ONE_TIME
            - WEEKLY
            - BI_WEEKLY
            - MONTHLY
            - YEARLY
        isParent:
          type: boolean
          description: >-
            Whether this journal entry is a parent to recurring journal entries.
            Parent journal entries generally should not be directly displayed to
            the user, as its children are more pertinent and displaying both
            results in double counting.
          readOnly: true
        recurringParentId:
          type: integer
          description: >-
            Id of the recurring parent journal entry; populated if this journal
            entry is recurring
          format: int64
          readOnly: true
        transactions:
          type: array
          description: >-
            List of accounting transactions comprising this entry. The total of
            all drAmounts must sum to the total of all crAmounts.
          items:
            $ref: '#/components/schemas/GlTranConciseDTOV5'
        apiEntryId:
          type: string
          description: Id of the journal entry record in your DB
    GlTranConciseDTOV5:
      required:
        - glAccountId
      type: object
      properties:
        glAccountId:
          type: integer
          description: GL account id, referencing an account in the chart of accounts
          format: int64
        drAmount:
          type: number
          description: Accounting debit amount; either drAmount or crAmount is required
        crAmount:
          type: number
          description: Accounting credit amount; either drAmount or crAmount is required
      description: >-
        List of accounting transactions comprising this entry. The total of all
        drAmounts must sum to the total of all crAmounts.
  securitySchemes:
    accessTokenSecurity:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: /auth/account
          scopes:
            write: ''

````